#!/usr/bin/env bash
#
pkill polybar

wlan=`/sbin/ifconfig | grep wlp | tail -1 | cut -d ':' -f 1`
eth=`/sbin/ifconfig | grep enx | tail -1 | cut -d ':' -f 1`
[[ -z "$eth" ]] && { eth=`/sbin/ifconfig | grep enp | tail -1 | cut -d ':' -f 1`; }

for m in $(polybar --list-monitors | cut -d":" -f1); do
    WLAN=$wlan ETH=$eth MONITOR=$m polybar --reload primary &
done
